Summary: convert GuoBiao Hanzi to JIS Kanji
Name: gb2jis
Version: 1.5
Release: 1
Copyright: gpl
Source: gb2jis.tar.gz
Group: Extensions/Japanese 
BuildRoot: /tmp/gb2jis-root

%description
gb2jis converts GB2312-80 and GB8565-89 characters to JISX0208-1983 
and JISX0212-1990 characters. GB2312-80 (^[$A), GB2312-80 + GB8565-89 (^[$(E),
and Chinese-EUC (8-bit GuoBiao) are available for Hanzi code.

%prep
%setup -n gb2jis
%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,share/emacs/site-lisp}
install -m 755 gb2jis $RPM_BUILD_ROOT/usr/bin/gb2jis
install -m 644 gb2jis.1 $RPM_BUILD_ROOT/usr/man/man1/gb2jis.1
install -m 644 gb2jis.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/gb2jis.el

strip $RPM_BUILD_ROOT/usr/bin/gb2jis
gzip -9nf $RPM_BUILD_ROOT/usr/man/man1/gb2jis.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.*
/usr/bin/gb2jis
/usr/man/man1/gb2jis.1.gz
/usr/share/emacs/site-lisp/gb2jis.el
